# Get log

GET https://alsona.com/rest/accounts/{account_id}/seats/{seat_id}/profiles/{profile_id}/logs/{timestamp}

Get a single seat-profile log by timestamp.

Reference: https://api.alsona.com/api-reference/logs/get-log

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /rest/accounts/{account_id}/seats/{seat_id}/profiles/{profile_id}/logs/{timestamp}:
    get:
      operationId: get-log
      summary: Get log
      description: Get a single seat-profile log by timestamp.
      tags:
        - subpackage_logs
      parameters:
        - name: account_id
          in: path
          required: true
          schema:
            type: string
        - name: seat_id
          in: path
          required: true
          schema:
            type: string
        - name: profile_id
          in: path
          required: true
          schema:
            type: string
        - name: timestamp
          in: path
          required: true
          schema:
            type: string
        - name: X-API-KEY
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response with status 200
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Logs_Get log_Response_200'
servers:
  - url: https://alsona.com
components:
  schemas:
    RestAccountsAccountIdSeatsSeatIdProfilesProfileIdLogsTimestampGetResponsesContentApplicationJsonSchemaLog:
      type: object
      properties:
        id:
          type: string
        ttl:
          type: integer
        date:
          type: string
        event:
          type: string
        value:
          type: string
        seat_id:
          type: string
        member_id:
          type: string
        timestamp:
          type: integer
        account_id:
          type: string
        created_at:
          type: integer
        created_by:
          type: string
        campaign_id:
          type: string
        seat_profile:
          type: string
        social_media:
          type: string
      required:
        - id
        - ttl
        - date
        - event
        - value
        - seat_id
        - member_id
        - timestamp
        - account_id
        - created_at
        - created_by
        - campaign_id
        - seat_profile
        - social_media
      title: >-
        RestAccountsAccountIdSeatsSeatIdProfilesProfileIdLogsTimestampGetResponsesContentApplicationJsonSchemaLog
    Logs_Get log_Response_200:
      type: object
      properties:
        success:
          type: boolean
        log:
          $ref: >-
            #/components/schemas/RestAccountsAccountIdSeatsSeatIdProfilesProfileIdLogsTimestampGetResponsesContentApplicationJsonSchemaLog
      required:
        - success
        - log
      title: Logs_Get log_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

```

## SDK Code Examples

```python Response
import requests

url = "https://alsona.com/rest/accounts/account_id/seats/seat_id/profiles/profile_id/logs/timestamp"

headers = {"X-API-KEY": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Response
const url = 'https://alsona.com/rest/accounts/account_id/seats/seat_id/profiles/profile_id/logs/timestamp';
const options = {method: 'GET', headers: {'X-API-KEY': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://alsona.com/rest/accounts/account_id/seats/seat_id/profiles/profile_id/logs/timestamp"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-KEY", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Response
require 'uri'
require 'net/http'

url = URI("https://alsona.com/rest/accounts/account_id/seats/seat_id/profiles/profile_id/logs/timestamp")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://alsona.com/rest/accounts/account_id/seats/seat_id/profiles/profile_id/logs/timestamp")
  .header("X-API-KEY", "<apiKey>")
  .asString();
```

```php Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://alsona.com/rest/accounts/account_id/seats/seat_id/profiles/profile_id/logs/timestamp', [
  'headers' => [
    'X-API-KEY' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Response
using RestSharp;

var client = new RestClient("https://alsona.com/rest/accounts/account_id/seats/seat_id/profiles/profile_id/logs/timestamp");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-KEY", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Response
import Foundation

let headers = ["X-API-KEY": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://alsona.com/rest/accounts/account_id/seats/seat_id/profiles/profile_id/logs/timestamp")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```